#
# spec file for package python-pyenchant
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define pyname  enchant
%define modname py%{pyname}
Name:           python-%{modname}
Version:        1.6.6
Release:        4.2
Url:            http://www.rfk.id.au/software/pyenchant/
Summary:        Python bindings for the Enchant spellchecking system
License:        LGPL-2.1+
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/p/%{modname}/%{modname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  enchant
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       enchant
Obsoletes:      python-enchant < %{version}
Provides:       PyEnchant
Provides:       python-enchant = %{version}
%if 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
PyEnchant is a spellchecking library for Python, based on the excellent Enchant library.

%prep
%setup -q -n %{modname}-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt TODO.txt
%{python_sitelib}/%{pyname}
%{python_sitelib}/%{modname}-%{version}-py%{py_ver}.egg-info 

%changelog
* Mon May 11 2015 benoit.monin@gmx.fr
- update to  version 1.6.6:
  * compatibility with latest python releases
  * "wheels" replace "eggs" as the binary distribution format of
    choice
  * fix possible text corruption when using SpellChecker with a
    Chunker
- drop pyenchant-drop-bootstrap-distribute.patch: fixed upstream
* Sat Sep 14 2013 os-dev@jacraig.com
- Add pyenchant-drop-bootstrap-distribute.patch: don't use the distribute
  bootstrapping code, just use setuptools.  Fixes build that was broken by the
  attempt to download distribute.
* Fri May  4 2012 toddrme2178@gmail.com
- Add full url to source
- Make python 3 package noarch like the python 2 package
- Fix rpmlint warnings
* Mon Apr 30 2012 toddrme2178@gmail.com
- Add python 3 package
- Clean up python 2 spec file
* Mon Feb 27 2012 cfarrell@suse.com
- license update: LGPL-2.1+
  No reason to believe that the package author restricted licensing to only
  version 2.1 of the LGPL. As such LGPL-2.1+ is the better choice
* Mon Feb 20 2012 saschpe@suse.de
- Spec file cleanup:
  * Simplified macro usage
  * Removed outdated %%clean section
  * Set SPDX-style license
  * No CFLAGS for noarch package
* Fri Apr 15 2011 saschpe@suse.de
- Initial version 1.6.5
- Obsoletes package 'python-enchant'
